items = {}

items.image = nil
items.body = nil
items.shape = nil
items.fixture = nil
items.type = "item"
items.id = 0

debris1 = love.graphics.newImage("debris1.png")
debris2 = love.graphics.newImage("debris2.png")
debris3 = love.graphics.newImage("debris3.png")
debris4 = love.graphics.newImage("debris4.png")
debris5 = love.graphics.newImage("debris5.png")
debris6 = love.graphics.newImage("debris6.png")
debris7 = love.graphics.newImage("debris7.png")
debris8 = love.graphics.newImage("debris8.png")
debris9 = love.graphics.newImage("debris9.png")
satellit = love.graphics.newImage("satellit.png")
shield = love.graphics.newImage("shield.png")
fuel = love.graphics.newImage("fuel.png")
coin = love.graphics.newImage("coin.png")
inverser = love.graphics.newImage("inverser.png")


function items:getBody()
	return self.body
end

function items:getImage()
	return self.image
end

function items:getShape()
	return self.shape
end

function items:getFixture()
	return self.fixture
end

function items:getType()
	return self.type
end

function items:getId()
	return self.id
end


function items:setBody(b)
	self.body = b
end

function items:setImage(i)
	self.image = i
end

function items:setShape(s)
	self.shape = s
end

function items:setFixture(f)
	self.fixture = f
end

function items:setType(t)
	self.type = t
end

function items:setId(i)
	self.id = i
end


function items:new(o)
	o = o or {}
	setmetatable(o, self)
    self.__index = self
    return o
end

function items:makeThis(i)
	if i == 1 then
		self.image = debris1
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 1
	elseif i == 2 then
		self.image = debris2
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 2
	elseif i == 3 then
		self.image = debris3
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 3
	elseif i == 4 then
		self.image = debris4
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 4
	elseif i == 5 then
		self.image = debris5
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 5
	elseif i == 6 then
		self.image = debris6
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 6
	elseif i == 7 then
		self.image = debris7
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 7
	elseif i == 8 then
		self.image = debris8
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 8
	elseif i == 9 then
		self.image = debris9
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 9
	elseif i == 10 then
		self.image = satellit
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "object"
		self.id = 10
	elseif i == 11 then
		self.image = shield
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "shield"
		self.id = 11
	elseif i == 12 then
		self.image = fuel
		self.shape = love.physics.newRectangleShape(self.image:getWidth(), self.image:getHeight())
		self.type = "item"
		self.id = 12
	elseif i == 13 then
		self.image = inverser
	    self.shape = love.physics.newCircleShape(self.image:getHeight() / 2)
		self.type = "item"
		self.id = 13
	else
		self.image = coin
	    self.shape = love.physics.newCircleShape(self.image:getHeight() / 2)
		self.type = "item"
		self.id = 14
	end
end

function items:setDensity(i)
	if i == 5 then
		self.fixture:setDensity(0.1)
		self.body:resetMassData()
	elseif i == 6 then
		self.fixture:setDensity(0.1)
		self.body:resetMassData()
	elseif i == 7 then
		self.fixture:setDensity(0.2)
		self.body:resetMassData()
	elseif i == 8 then
		self.fixture:setDensity(0.2)
		self.body:resetMassData()
	elseif i == 9 then
		self.fixture:setDensity(0.2)
		self.body:resetMassData()
	elseif i == 10 then
		self.fixture:setDensity(0.2)
		self.body:resetMassData()
	elseif i == 11 then
		self.fixture:setDensity(5)
		self.body:resetMassData()
	end
end